## org.eclipse.emf.ecore.sdo.util
Class DataGraphResourceFactoryImpl.DataGraphResourceImpl.HelperImpl

    java.lang.Object
      org.eclipse.emf.ecore.xmi.impl.XMLHelperImpl
          org.eclipse.emf.ecore.sdo.util.DataGraphResourceFactoryImpl.DataGraphResourceImpl.HelperImpl

All Implemented Interfaces:
  XMLHelper

Enclosing class:
  DataGraphResourceFactoryImpl.DataGraphResourceImpl

    public static class DataGraphResourceFactoryImpl.DataGraphResourceImpl.HelperImpl

extends XMLHelperImpl

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.ecore.xmi.impl.XMLHelperImpl
`XMLHelperImpl.NamespaceSupport`

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.xmi.XMLHelper
`XMLHelper.ManyReference`

Field Summary
`protected EDataGraph` `eDataGraph`
`protected java.util.List<Resource>` `resources`
`protected java.util.List<java.lang.String>` `uris`

Fields inherited from class org.eclipse.emf.ecore.xmi.impl.XMLHelperImpl

`allPrefixToURI, anyPrefixesToURIs, anySimpleType, checkForDuplicates, danglingHREFException, deresolve, extendedMetaData, featuresToKinds, fragmentPrefixes, INTEGER_DATATYPE_IS_MANY, INTEGER_DATATYPE_SINGLE, INTEGER_IS_MANY_ADD, INTEGER_IS_MANY_MOVE, INTEGER_OTHER, laxFeatureProcessing, mustHavePrefix, namespaceSupport, noNamespacePackage, packageRegistry, packages, prefixesToURIs, processDanglingHREF, resource, resourceURI, roots, seenEmptyStringMapping, uriHandler, urisToPrefixes, xmlMap, xmlSchemaTypePackage`

Fields inherited from interface org.eclipse.emf.ecore.xmi.XMLHelper
`DATATYPE_IS_MANY, DATATYPE_SINGLE, IS_MANY_ADD, IS_MANY_MOVE, OTHER`

Constructor Summary
`DataGraphResourceFactoryImpl.DataGraphResourceImpl.HelperImpl(XMLResource xmlResource)`

Method Summary
`protected URI` `createHREF(java.lang.String baseURI, java.lang.String fragment)`
`java.lang.String` `getHREF(EObject eObject)`
`protected URI` `getHREF(Resource otherResource, EObject obj)`
`java.lang.String` `getID(EObject eObject)`
`java.lang.String` `getIDREF(EObject eObject)`
`java.lang.String` `getQName(EClass c)`
`EClassifier` `getType(EFactory eFactory, java.lang.String typeName)`
`void` `populateNameInfo(NameInfo nameInfo, EClass c)`
`void` `setResource(XMLResource resource)`

Methods inherited from class org.eclipse.emf.ecore.xmi.impl.XMLHelperImpl

`addNSDeclaration, addPrefix, computeFeatureKind, convertToString, createFromString, createObject, createObject, deresolve, getAnyContentPrefixToURIMapping, getDanglingHREFException, getExtendedMetaData, getFeature, getFeature, getFeatureKind, getFeatureWithoutMap, getJavaEncoding, getName, getNamespaceURI, getNoNamespacePackage, getPrefix, getPrefix, getPrefix, getPrefixes, getPrefixToNamespaceMap, getQName, getQName, getQName, getQName, getQName, getQName, getQName, getResource, getURI, getURIFragment, getURIFragmentQuery, getValue, getXMLEncoding, getXMLMap, handleDanglingHREF, packages, popContext, popContext, populateNameInfo, populateNameInfo, pushContext, recordPrefixToURIMapping, resolve, saveString, setAnySimpleType, setCheckForDuplicates, setExtendedMetaData, setManyReference, setMustHavePrefix, setNoNamespacePackage, setOptions, setPrefixToNamespaceMap, setProcessDanglingHREF, setValue, setXMLMap, updateQNamePrefix, updateQNameURI`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### eDataGraph

    protected EDataGraph eDataGraph

### resources

    protected java.util.List<Resource> resources

### uris

    protected java.util.List<java.lang.String> uris

Constructor Detail

### DataGraphResourceFactoryImpl.DataGraphResourceImpl.HelperImpl

    public DataGraphResourceFactoryImpl.DataGraphResourceImpl.HelperImpl(XMLResource xmlResource)

Method Detail

### setResource

    public void setResource(XMLResource resource)

  Overrides:
    `setResource` in class `XMLHelperImpl`

### getID

    public java.lang.String getID(EObject eObject)

  Specified by:
    `getID` in interface `XMLHelper`
  Overrides:
    `getID` in class `XMLHelperImpl`

### getIDREF

    public java.lang.String getIDREF(EObject eObject)

  Specified by:
    `getIDREF` in interface `XMLHelper`
  Overrides:
    `getIDREF` in class `XMLHelperImpl`

### getHREF

    public java.lang.String getHREF(EObject eObject)

  Specified by:
    `getHREF` in interface `XMLHelper`
  Overrides:
    `getHREF` in class `XMLHelperImpl`

### getHREF

    protected URI getHREF(Resource otherResource,
                          EObject obj)

  Overrides:
    `getHREF` in class `XMLHelperImpl`

### createHREF

    protected URI createHREF(java.lang.String baseURI,
                             java.lang.String fragment)

### getType

    public EClassifier getType(EFactory eFactory,
                               java.lang.String typeName)

  Specified by:
    `getType` in interface `XMLHelper`
  Overrides:
    `getType` in class `XMLHelperImpl`

### populateNameInfo

    public void populateNameInfo(NameInfo nameInfo,
                                 EClass c)

  Specified by:
    `populateNameInfo` in interface `XMLHelper`
  Overrides:
    `populateNameInfo` in class `XMLHelperImpl`

### getQName

    public java.lang.String getQName(EClass c)

  Specified by:
    `getQName` in interface `XMLHelper`
  Overrides:
    `getQName` in class `XMLHelperImpl`

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.